java.lang

## Class InstantiationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.InstantiationException

All Implemented Interfaces:
  Serializable

    public class InstantiationException
    extends Exception

Thrown when an application tries to create an instance of a class using the `newInstance` method in class `Class`, but the specified class object cannot be instantiated. The instantiation can fail for a variety of reasons including but not limited to:

- the class object represents an abstract class, an interface, an array class, a primitive type, or `void`
- the class has no nullary constructor

Since:
  JDK1.0
See Also:
  `Class.newInstance()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InstantiationException()` Constructs an `InstantiationException` with no detail message.
`InstantiationException(String s)` Constructs an `InstantiationException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InstantiationException

    public InstantiationException()

Constructs an `InstantiationException` with no detail message.

#### InstantiationException

    public InstantiationException(String s)

Constructs an `InstantiationException` with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.